Subject: Re: tun mq failure

From: Jason Wang <[email-masked]>
Date: Wed, 23 Jan 2013 20:08:07 +0800

On 01/23/2013 07:06 PM, Hannes Frederic Sowa wrote:
> On Wed, Jan 23, 2013 at 12:05:16PM +0200, Michael S. Tsirkin wrote:
>> This is when trying to start a VPN using some old openvpn binary so MQ
>> is not set.
>>
>> So
>> 1. I think we should limit allocation of MQ to when MQ flag is set in SETIFF.
>> 2. order 7 allocation is 2^^7 pages - about half a megabyte of contigious
>>    memory. This is quite likely to fail.
>>    Let's start with a small limit on number of queues, like 8?
>>    Then we know it will succeed.
>>    Longer term we might want to solve it differently.
> This has been come up before:
> http://thread.gmane.org/gmane.linux.network/255647/focus=255902
>
> I think a solution to this problem is still outstanding.
>
I draft a patch in the reply of in that thread, but didn't get feedback
from reporter.